package ru.yandex.autotests.directapi.model.api5.campaigns;

import com.yandex.direct.api.v5.campaigns.StrategyWbDecreasedPriceForRepeatedImpressionsAdd;

/**
 * Created by gerdler on 08.09.18.
 */
public class StrategyWbDecreasedPriceForRepeatedImpressionsAddMap extends StrategyDecreasedPriceForRepeatedImpressionsAddBaseMap<StrategyWbDecreasedPriceForRepeatedImpressionsAddMap> {

    public StrategyWbDecreasedPriceForRepeatedImpressionsAddMap() {
        super();
        setBean(new StrategyWbDecreasedPriceForRepeatedImpressionsAdd());
    }

    public StrategyWbDecreasedPriceForRepeatedImpressionsAddMap(StrategyWbDecreasedPriceForRepeatedImpressionsAdd strategyWbDecreasedPriceForRepeatedImpressionsAdd) {
        super();
        setBean(strategyWbDecreasedPriceForRepeatedImpressionsAdd);
    }

    public StrategyWbDecreasedPriceForRepeatedImpressionsAddMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }
}
